ListResourceOwners
GET
/api/v1/resources/{resource}/ownersList the users, teams, and groups that own a resource.
Example request
Section titled “Example request”curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/resources/{resource}/owners"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/resources/{resource}/owners"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”parentstringrequiredFormat:
resources/{resource}, orresources/-to list across all resources.
Query parameters
Section titled “Query parameters”pageSizeinteger (int32)The maximum number of owners to return. This service may return fewer than this value.
pageTokenstringA page token, received from a previous
ListResourceOwnerscall.
Response
Section titled “Response”200ListResourceOwnersResponseresourceOwnersResourceOwner[]namestringAssigned by Oblique. Name of the owner of the format
resources/{resource}/owners/{owner}.ownerstringrequiredSet once, when the resource is created. The owner of the resource. This can be a user, group, or team.
Format:
users/{user},groups/{group},teams/{team}createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-only
nextPageTokenstringA token, which can be sent as
page_tokento retrieve the next page.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |